﻿.report-pdf {
    background-color: var(--pdf-white);
    color: var(--pdf-black);
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: min-content 1fr min-content;
    grid-template-areas:
        "header"
        "body"
        "footer";
    height: auto;
    overflow: hidden;
    min-height: 100%;
    row-gap: var(--pdf-report-space);
}
    .report-pdf[data-is-preview] {
        width: 8.27in;
        min-height: 11.69in;
        padding: var(--pdf-report-space);
    }

    .report-pdf .pdf-header {
        grid-area: header;
    }

        .report-pdf .pdf-header .title {
            font-size: 1.2rem;
        }

    .report-pdf .pdf-body {
        grid-area: body;
    }

    .report-pdf .pdf-footer {
        grid-area: footer;
        align-self: end;
    }

/*    .report-pdf:not([data-is-preview]) .pdf-footer {
        position: fixed;
        width: 100%;
        bottom: 0;
    }*/


@page {
    size: A4;
    counter-increment: page; /* Keep this, it increments the page number */
    margin: var(--pdf-report-space);
    margin-block-end: calc(var(--pdf-report-space) * 2.75);


    @bottom-center {
        content: counter(page) " / " counter(pages);
        font-size: 0.8em; 
        color: #555; 
    }
}
